Ipelib: ipe::PdfResourceBase Class Reference

Ipelib

Public Member Functions | Protected Attributes | List of all members
ipe::PdfResourceBase Class Referenceabstract
Ipe Base

`#include <iperesources.h>`

Inherited by ipe::PdfFileResources, and ipe::PdfResources.

## Public Member Functions
| PdfResourceBase ()
virtual | ~PdfResourceBase ()
virtual const PdfObj * | object (int num) const noexcept=0
const PdfObj * | getDeep (const PdfDict *d, String key) const noexcept
const PdfDict * | getDict (const PdfDict *d, String key) const noexcept
const PdfDict * | resourcesOfKind (String kind) const noexcept
const PdfDict * | findResource (String kind, String name) const noexcept
const PdfDict * | findResource (const PdfDict *xf, String kind, String name) const noexcept

## Protected Attributes
std::unique_ptr< PdfDict > | iPageResources

## Detailed Description

Base class providing access to PDF objects.

## Constructor & Destructor Documentation

## ◆ PdfResourceBase()

PdfResourceBase::PdfResourceBase | ( |  | ) |

## ◆ ~PdfResourceBase()

PdfResourceBase::~PdfResourceBase | ( |  | ) |
| virtual

## Member Function Documentation

## ◆ object()

virtual const PdfObj* ipe::PdfResourceBase::object | ( | int | num | ) | const
| pure virtualnoexcept

Implemented in ipe::PdfResources, and ipe::PdfFileResources.

## ◆ getDeep()

const PdfObj * PdfResourceBase::getDeep | ( | const PdfDict * | d,
|  | String | key
| ) |  | const
| noexcept

References ipe::PdfObj::ref(), and ipe::PdfRef::value().

Referenced by getDict().

## ◆ getDict()

const PdfDict * PdfResourceBase::getDict | ( | const PdfDict * | d,
|  | String | key
| ) |  | const
| noexcept

References ipe::PdfObj::dict(), and getDeep().

Referenced by findResource().

## ◆ resourcesOfKind()

const PdfDict * PdfResourceBase::resourcesOfKind | ( | String | kind | ) | const
| noexcept

References ipe::PdfObj::dict(), and iPageResources.

Referenced by findResource().

## ◆ findResource() [1/2]

const PdfDict * PdfResourceBase::findResource | ( | String | kind,
|  | String | name
| ) |  | const
| noexcept

References getDict(), and resourcesOfKind().

Referenced by ipe::CairoPainter::executeStream().

## ◆ findResource() [2/2]

const PdfDict * PdfResourceBase::findResource | ( | const PdfDict * | xf,
|  | String | kind,
|  | String | name
| ) |  | const
| noexcept

References getDict().

## Member Data Documentation

## ◆ iPageResources

std::unique_ptr<PdfDict> ipe::PdfResourceBase::iPageResources
| protected

Referenced by ipe::PdfResources::baseResources(), ipe::PdfResources::collect(), resourcesOfKind(), and ipe::PdfResources::show().

The documentation for this class was generated from the following files:

- iperesources.h
- iperesources.cpp